package com.imdroid.beidou_fwd.entity;

import lombok.Data;

/**
 * @author Layton
 * @date 2023/2/19 9:16
 */
@Data
public class KingMaData {
    String dataTime;
    String deviceId;
    Integer flag;
    String projectId;

    Phys phys;

    @lombok.Data
    public static class Data {
        private String sign;

        private String unit;

        private Double value;

        public Data(String sign, String unit, Double value) {
            this.sign = sign;
            this.unit = unit;
            this.value = value;
        }
    }

    @lombok.Data
    public static class Phys{
        Data data1;
        Data data2;
        Data data3;

        public Phys(Double e, Double n, Double d){
            data1 = new Data("data1","mm",e);
            data2 = new Data("data2","mm",n);
            data3 = new Data("data3","mm",d);
        }
    }

}
